footer {
    background: #05042c;
    position: relative;
    color: #fff;
    padding-top: 45px;
    font-size: 16px;
    margin-top: 24px;

    a {
        color: var(--color_main)
    }

    .footer-top {
        justify-content: space-between;
    }

    .fs-logo {
        width: 800px;
    }

    .fs-right {
        display: flex;
        justify-content: space-between;
        width: 424px;
        align-items: center;

        .hotline {
            font-size: 24px;

            span {
                display: block;
                font-size: 14px;
                color: rgba(255, 255, 255, 0.5);
            }

            a,
            strong {
                color: #fff;
            }
        }

        .social {
            margin-top: 10px;

            ul {
                margin-bottom: 0;

                li {
                    margin-left: 16px;
                    display: inline-block;

                    a {
                        border-radius: 50%;
                        width: 32px;
                        height: 32px;
                        line-height: 32px;
                        display: flex;
                        text-align: center;
                        align-items: center;
                        justify-content: center;
                        background: var(--color_main);
                        color: var(--dark_gray);
                        svg {
                            width: 16px;
                            height: 16px;
                        }
                    }
                }
            }
        }
    }

    .title-mobile {
        display: none
    }

    .content-wrapper {
        margin: 0 auto;
        padding: 30px 0 0 0;
    }

    .primary-links {
        display: flex;
        flex-wrap: wrap;
        width: 800px;

        &__list-item {
            padding-bottom: 25px;
            width: 25%;
            -moz-column-break-inside: avoid;
            break-inside: avoid;

            &:nth-child(2) {
                margin-top: 42px;
            }

            h2 {
                margin: 0 0 16px;
                font-size: px_to_rem(18px);
                font-weight: 600;
                line-height: 1.4;
            }

            ul {
                margin-bottom: 0;

                li {
                    a {
                        display: block;
                        font-size: px_to_rem(16px);
                        margin-bottom: 5px;
                        color: rgba(255, 255, 255, 0.7);
                        text-decoration: none;
                        position: relative;
                        outline: none;
                    }
                }
            }
        }
    }

    .blog-content {
        width: 424px;

        h2 {
            margin: 0 0 24px;
            font-size: px_to_rem(18px);
            font-weight: bold;
            line-height: 1.4;
        }

        ul {
            margin-left: -30px;

            li {
                width: 50%;
                padding-left: 30px;
                display: inline-block;
                color: #fff;
                text-decoration: none;
                position: relative;
                outline: none;
                line-height: 1.8;
                margin-bottom: 30px;
            }
        }
    }

    .extra-content {
        display: flex;
        padding: 10px 0;
        line-height: 1.6;
        justify-content: space-between;

        .copy_right {
            font-size: 12px;
            color: rgba(255, 255, 255, 0.5);
        }

        .bct {
            margin-top: 10px;
        }

        p {
            margin-bottom: 0;
        }
    }

    @media (max-width: 1254px) {
        .fs-logo {
            img {
                width: 200px;
            }
        }

        .fs-logo,
        .primary-links {
            width: calc(100% - 350px);
        }

        .fs-right,
        .blog-content {
            width: 350px;
        }
    }

    @media (max-width: 991px) {

        .fs-logo,
        .primary-links {
            width: 100%;
            margin-bottom: 20px;
        }

        .fs-right,
        .blog-content {
            width: 100%;
        }
    }

    @media (max-width: 590px) {
        padding-top: 24px;

        .fs-logo {
            margin-bottom: 30px;

            img {
                width: 115px;
            }
        }

        .fs-right {
            .hotline {
                font-size: 16px
            }

            .social ul li {
                margin-left: 8px;
            }
        }

        .primary-links {
            margin-bottom: 0;

            &__list-item {
                width: 100%;
                display: none;
            }
        }

        .blog-content {
            h2 {
                margin-bottom: 16px;
            }
        }

        .extra-content {
            margin: 0 -15px;
            padding: 16px;
            border-top: 1px solid rgba(255, 255, 255, 0.16);

            .copy_right {
                width: 230px;
            }
        }
    }
}

.down-up {
    margin-bottom: 30px;
    width: 100%;
    display: none;

    @media (max-width: 480px) {
        display: block;
    }

    .lbl {
        font-size: 16px;
        font-weight: 600;
        color: #fff;
        position: relative;
    }

    .flex {
        width: 100%;

        ul {
            width: 50%;
        }
    }

    .up {

        &::before {
            content: "";
            border-top: 2px solid var(--white);
            border-right: 2px solid var(--white);
            position: absolute;
            right: -20px;
            top: 6px;
            width: 10px;
            height: 10px;
            transform: rotate(-45deg);
        }
    }

    .down {
        &::before {
            content: "";
            border-top: 2px solid var(--white);
            border-right: 2px solid var(--white);
            position: absolute;
            right: -20px;
            top: 2px;
            width: 10px;
            height: 10px;
            transform: rotate(135deg);
        }
    }

    .level2 {
        margin-top: 20px;

        h2 {
            font-size: 16px;
            font-weight: 600;
            color: #fff;
            margin-bottom: 15px;
        }

        ul {
            margin-bottom: 20px;

            li {
                margin-bottom: 4px;

                a {
                    color: #fff;
                    font-size: 14px;
                }
            }
        }
    }
}